Imagick::getImageChannelKurtosis
Imagick::getImageChannelRange
Imagick
PHP Manual

# Imagick::getImageChannelMean

Gets the mean and standard deviation

### Description

array Imagick::getImageChannelMean ( int `$channel` )

Gets the mean and standard deviation of one or more image channels. Return value is an associative array with the keys "mean" and "standardDeviation".

### Parameters

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.